<div class="tag-edit">
  <div class="row">
      <div class="col-md-12"> 
          <div class="card mb-3">
              <div class="card-header">
                 Add New Tag
                  <div [hidden]="!showSpinner">
                      <app-spinner></app-spinner>
                  </div>
              </div>
              <div class="card-body">
                  <div class="form-content">
                      <div class="form-group">
                          <input type="text" [(ngModel)]="model.RFIDData" class="form-control input-underline input-sm" id="" placeholder="TagData">
                      </div>                 
                  </div>

                  <div class="form-content">
                      <div class="form-group">
                          <div class="form-line">
                              <select [(ngModel)]="model.SiteId" class="form-control input-sm" style="height:34px" (ngModelChange)="loadTenant()">
                                  <option value="0">Select Object</option>
                                  <option *ngFor="let item of sitesList" [value]="item.Id" [selected]="model.SiteId == item.Id">
                                      {{ item.Name }}
                                  </option>
                              </select>
                          </div>
                      </div>                 
                  </div>


                  <div class="form-content">
                      <div class="form-group">
                          <div class="form-line">
                              <select [(ngModel)]="model.TenantID" class="form-control input-sm" style="height:34px">
                                  <option value="0">Select Object</option>
                                  <option *ngFor="let item of tenants" [value]="item.Id" [selected]="model.TenantID == item.Id">
                                      {{ item.Name }}
                                  </option>
                              </select>
                          </div>
                      </div>                 
                  </div>

                  <div class="form-content">
                      <div class="form-group">
                          <textarea [(ngModel)]="model.Description" class="form-control input-underline input-sm" id="" placeholder="Description"></textarea>                            
                      </div>                 
                  </div>
                  
                
              </div>
              <div class="card-footer">
                  <button type="button" [disabled]="!model.RFIDData" (click)="saveChanges()" class="btn btn-success rounded-btn"> Save </button>&nbsp;
                  <a class="btn btn-default rounded-btn" [routerLink]="['/tags']"> Cancel </a>
              </div>
          </div>
      </div>
  </div>
</div>
